Bug 1284202 - SELinux is preventing xenconsoled from 'create' accesses on the unix_dgram_socket Unknown.
SELinux is preventing xenconsoled from 'create' accesses on the unix_dgram_so...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:5af39ca0ed0e6d2c91693c7a189...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 16:40 EST by sudikeru
Modified: 2016-04-14 12:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 12:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sudikeru 2015-11-21 16:40:03 EST
Description of problem:
Start Fedora 23 with xen
SELinux is preventing xenconsoled from 'create' accesses on the unix_dgram_socket Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что xenconsoled следует разрешить доступ create к Unknown unix_dgram_socket по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep xenconsoled /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xenconsoled_t:s0
Target Context                system_u:system_r:xenconsoled_t:s0
Target Objects                Unknown [ unix_dgram_socket ]
Source                        xenconsoled
Source Path                   xenconsoled
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-154.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.6-300.fc23.x86_64 #1 SMP Tue
                              Nov 10 19:32:21 UTC 2015 x86_64 x86_64
Alert Count                   2
First Seen                    2015-11-22 00:26:17 MSK
Last Seen                     2015-11-22 00:35:49 MSK
Local ID                      c5b51c8e-55c3-408f-b075-38b969ece838

Raw Audit Messages
type=AVC msg=audit(1448141749.940:104): avc:  denied  { create } for  pid=797 comm="xenconsoled" scontext=system_u:system_r:xenconsoled_t:s0 tcontext=system_u:system_r:xenconsoled_t:s0 tclass=unix_dgram_socket permissive=0


Hash: xenconsoled,xenconsoled_t,xenconsoled_t,unix_dgram_socket,create

Version-Release number of selected component:
selinux-policy-3.13.1-154.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1264640
Comment 1 Cole Robinson 2016-04-14 12:06:17 EDT
Despite multiple attempts across multiple bugs sudikeru@freeletter.me hasn't
responded to NEEDINFO and infact the mail address bounces. Closing this as
INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.